# Generated from geolocation_service-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name geolocation_service

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: FindHotel coding challenge
License: MIT
URL: https://www.github.com/jalerson/geolocation_service
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug) >= 11.0.1
# BuildRequires: rubygem(byebug) < 11.1
# BuildRequires: rubygem(mysql2) >= 0.5.1
# BuildRequires: rubygem(mysql2) < 0.6
# BuildRequires: rubygem(rspec-rails) >= 3.8.1
# BuildRequires: rubygem(rspec-rails) < 3.9
# BuildRequires: rubygem(factory_bot_rails) >= 5.0.2
# BuildRequires: rubygem(factory_bot_rails) < 5.1
# BuildRequires: rubygem(faker) >= 2.3.0
# BuildRequires: rubygem(faker) < 2.4
# BuildRequires: rubygem(shoulda-matchers) >= 4.1.1
# BuildRequires: rubygem(shoulda-matchers) < 4.2
# BuildRequires: rubygem(rubocop) >= 0.74.0
# BuildRequires: rubygem(rubocop) < 0.75
# BuildRequires: rubygem(rubocop-rspec) >= 1.35.0
# BuildRequires: rubygem(rubocop-rspec) < 1.36
# BuildRequires: rubygem(rubocop-performance) >= 1.4.1
# BuildRequires: rubygem(rubocop-performance) < 1.5
# BuildRequires: rubygem(rubocop-rails) >= 2.3.2
# BuildRequires: rubygem(rubocop-rails) < 2.4
# BuildRequires: rubygem(overcommit) >= 0.49.1
# BuildRequires: rubygem(overcommit) < 0.50
BuildArch: noarch

%description
Geolocation importer service.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.2-1
- Initial package
